Bug 1130348 - [abrt] dot2tex: dotparsing.py:26:<module>:ImportError: cannot import name _noncomma
Summary: [abrt] dot2tex: dotparsing.py:26:<module>:ImportError: cannot import name _no...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dot2tex
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jim Radford
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e9c8c1ff1d8cd21e2e4a9a46ed2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 02:01 UTC by Oleg Girko
Modified: 2015-12-17 15:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1292698 (view as bug list)
Environment:
Last Closed: 2015-06-29 22:04:25 UTC


Attachments (Terms of Use)
File: backtrace (7.34 KB, text/plain)
2014-08-15 02:01 UTC, Oleg Girko
no flags Details
File: environ (2.32 KB, text/plain)
2014-08-15 02:01 UTC, Oleg Girko
no flags Details

Description Oleg Girko 2014-08-15 02:01:02 UTC
Description of problem:
Running dot2tex with or without arguments causes the following stack trace:

Traceback (most recent call last):
  File "/usr/bin/dot2tex", line 2, in <module>
    from dot2tex.dot2tex import main
  File "/usr/lib/python2.7/site-packages/dot2tex/__init__.py", line 36, in <module>
    import dot2tex as d2t
  File "/usr/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 47, in <module>
    import dotparsing
  File "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py", line 26, in <module>
    from pyparsing import  (Literal, CaselessLiteral, Word, Upcase, OneOrMore, ZeroOrMore,
ImportError: cannot import name _noncomma

The only place _noncomma name can be found in dot2tex is this import statement,
so it's safe to remove _noncomma from it completely.
This import was removed in newer version anyway,
so updating to 2.9 would fix this problem as well.

Version-Release number of selected component:
dot2tex-2.8.7-9.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/dot2tex
executable:     /usr/bin/dot2tex
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1364

Truncated backtrace:
#1 <module> in /usr/lib/python2.7/site-packages/dot2tex/dotparsing.py:26
#2 <module> in /usr/lib/python2.7/site-packages/dot2tex/dot2tex.py:47
#3 <module> in /usr/lib/python2.7/site-packages/dot2tex/__init__.py:36
#4 <module> in /usr/bin/dot2tex:2

Comment 1 Oleg Girko 2014-08-15 02:01:06 UTC
Created attachment 926954 [details]
File: backtrace

Comment 2 Oleg Girko 2014-08-15 02:01:08 UTC
Created attachment 926955 [details]
File: environ

Comment 3 Oleg Girko 2014-08-15 02:03:24 UTC
Removing _noncomma import from "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py" file makes dot2tex work and produce expected results.

Comment 4 Fedora End Of Life 2015-05-29 12:38:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 22:04:25 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Bruno Thomsen 2015-12-17 15:00:35 UTC
I have reproduced this issue with ptxdist on Fedora 23 so it's still a bug.

$ ptxdist make license-report
...
Traceback (most recent call last):
  File "/usr/bin/dot2tex", line 2, in <module>
    from dot2tex.dot2tex import main
  File "/usr/lib/python2.7/site-packages/dot2tex/__init__.py", line 36, in <module>
    import dot2tex as d2t
  File "/usr/lib/python2.7/site-packages/dot2tex/dot2tex.py", line 47, in <module>
    import dotparsing
  File "/usr/lib/python2.7/site-packages/dot2tex/dotparsing.py", line 26, in <module>
    from pyparsing import  (Literal, CaselessLiteral, Word, Upcase, OneOrMore, ZeroOrMore,
ImportError: cannot import name _noncomma
...

$ cat /etc/os-release 
NAME=Fedora
VERSION="23 (Workstation Edition)"
ID=fedora
VERSION_ID=23
PRETTY_NAME="Fedora 23 (Workstation Edition)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:23"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=23
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=23
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Workstation Edition"
VARIANT_ID=workstation


Note You need to log in before you can comment on or make changes to this bug.